<?xml version="1.0" encoding="UTF-8"?>

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<parent>
		<groupId>com.rebusland.fin.derivatives.eq</groupId>
		<artifactId>eq-backend</artifactId>
		<version>backend-0.0.1-SNAPSHOT</version>
	</parent>

	<artifactId>eq-server</artifactId>
	<version>0.0.1-SNAPSHOT</version>

	<name>eq-server</name>
	<!-- FIXME change it to the project's website -->
	<!-- <url>http://www.TO_BE_DEFINED.com</url> -->

	<properties>
		<app.profiles>local,dev</app.profiles>

		<!--  Only refresh the browser whenever a static resource has changed (and ignore any change in the code)-->
		<spring.devtools.remote.restart.enabled>false</spring.devtools.remote.restart.enabled>
	</properties>

	<dependencies>
		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-api</artifactId>
		</dependency>

		<dependency>
			<groupId>org.joda</groupId>
			<artifactId>joda-beans</artifactId>
		</dependency>

		<dependency>
			<groupId>com.google.guava</groupId>
			<artifactId>guava</artifactId>
		</dependency>

		<!-- NB The version of the starters and spring related tools are specified in the parent pom -->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter</artifactId>
		</dependency>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web</artifactId>
		</dependency>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
		</dependency>

		<!-- Actuator brings production-ready features to our application: Monitoring our app, gathering metrics, understanding traffic, or the state of our database -->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-actuator</artifactId>
		</dependency>

		<!-- Spring Boot devtools is a module to improve the development-time experience when working on Spring Boot -->
		<!--
		When devtools is running, it detects change when you recompile your application and automatically refreshes it.
		This works for not only resources but code as well. It also provides a LiveReload server so that it can automatically trigger
		a browser refresh whenever things change. -->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-devtools</artifactId>
			<optional>true</optional>
		</dependency>
	</dependencies>

	<build>
		<plugins>
			<!-- Validate and regenerate Joda beans -->
			<plugin>
				<groupId>org.joda</groupId>
				<artifactId>joda-beans-maven-plugin</artifactId>
			</plugin>
			<!-- The plugin offers a number of user properties, starting with spring-boot, to let you customize the configuration from the command-line. -->
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
				<version>${version.spring-boot}</version>
				<configuration>
					<!--
					You could tune the profiles to enable when running the application as follows:
					$ mvn spring-boot:run -Dspring-boot.run.profiles=dev,local
					-->
					<profiles>${app.profiles}</profiles>

					<!--
					By default, the run goal runs your application in a forked process. If you need to debug it,
					you should add the necessary JVM arguments to enable remote debugging.
					The following configuration suspend the process until a debugger has joined on port 5005:
					-->
					<!--
					<jvmArguments>
						-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=5005
					</jvmArguments>
					-->
					<!-- 
					These arguments can be specified on the command line as well, make sure to wrap that properly, that is:
					$ mvn spring-boot:run -Dspring-boot.run.jvmArguments="-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=5005"
					-->
				</configuration>

				<!--
				The plugin can create executable archives (jar files and war files) that contain all of an application’s dependencies
				and can then be run with java -jar
				-->
				<executions>
					<execution>
						<id>repackage</id>
						<goals>
							<goal>repackage</goal>
						</goals>
					</execution>
					<execution>
						<id>build-info</id>
						<goals>
							<goal>build-info</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>
</project>
